<?php

namespace Drupal\content_snapshot\ContentWriter;

/**
 * Interface for Content Writer.
 */
interface ContentWriterInterface {

  /**
   * Write content into database.
   *
   * @param mixed $object
   *   Object.
   *
   * @return bool
   *   Was object written to database successfully?
   */
  public function write($object): bool;

}
