<?php

namespace Drupal\content_snapshot\FilesRestorer;

/**
 * Interface for FilesRestorer.
 */
interface FilesRestorerInterface {

  /**
   * Restores a given file stream during a snapshot import.
   *
   * @param string $scheme
   *   The string.
   */
  public function restoreStream(string $scheme): void;

}
