<?php

namespace Drupal\content_snapshot\Snapshot;

/**
 * Interface for EntitySnapshotInterface.
 */
interface EntitySnapshotItemInterface extends SnapshotItemInterface {

  /**
   * Function to get entity type.
   *
   * @return string
   *   Entity name.
   */
  public function getEntityType(): string;

  /**
   * Function to get entity bundle.
   *
   * @return string
   *   Entity bundle.
   */
  public function getBundle(): string;

}
